Magick++ 6.9.6

Public Member Functions | List of all members
Magick::compositeImage Class Reference

`#include <STL.h>`

## Public Member Functions
| compositeImage (const Image &compositeImage_,::ssize_t xOffset_,::ssize_t yOffset_, CompositeOperator compose_=InCompositeOp)
| compositeImage (const Image &compositeImage_, const Geometry &offset_, CompositeOperator compose_=InCompositeOp)
void | operator() (Image &image_) const

## Detailed Description

Definition at line 275 of file STL.h.

## Constructor & Destructor Documentation

Magick::compositeImage::compositeImage | ( | const Image & | compositeImage_,
|  | ::ssize_t | xOffset_,
|  | ::ssize_t | yOffset_,
|  | CompositeOperator | compose_ = `InCompositeOp`
| ) |  |

Magick::compositeImage::compositeImage | ( | const Image & | compositeImage_,
|  | const Geometry & | offset_,
|  | Magick::CompositeOperator | compose_ = `InCompositeOp`
| ) |  |

Definition at line 243 of file STL.cpp.

## Member Function Documentation

void Magick::compositeImage::operator() | ( | Image & | image_ | ) | const

Definition at line 252 of file STL.cpp.

References Magick::Image::composite().

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp